Import a managed cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/import"
payload = {
"credential_id": "aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee",
"provider_cluster_id": "regions/fr-par/clusters/11111111-2222-4333-8444-555555555555"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credential_id: 'aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee',
provider_cluster_id: 'regions/fr-par/clusters/11111111-2222-4333-8444-555555555555'
})
};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_id": "aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee",
"provider_cluster_id": "regions/fr-par/clusters/11111111-2222-4333-8444-555555555555"
}
'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provenance": "created",
"provider_cluster_id": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
Import a managed cluster
Bearer PAT authentication; RBAC permission clusters.create. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
POST
/
api
/
v1
/
clusters
/
managed
/
{provider}
/
import
Import a managed cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/import"
payload = {
"credential_id": "aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee",
"provider_cluster_id": "regions/fr-par/clusters/11111111-2222-4333-8444-555555555555"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credential_id: 'aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee',
provider_cluster_id: 'regions/fr-par/clusters/11111111-2222-4333-8444-555555555555'
})
};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_id": "aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee",
"provider_cluster_id": "regions/fr-par/clusters/11111111-2222-4333-8444-555555555555"
}
'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provenance": "created",
"provider_cluster_id": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
Available options:
doks, uks, gke, ovh_mks, aks, eks, kapsule Example:
"kapsule"
Body
application/json